---
api: 'Revolut X Crypto Exchange REST API'
---

# Get public trades (market history)

Retrieve all public trade history. Omit `symbol` to retrieve trades for all trading pairs, or specify it to retrieve trades for one trading pair.

## Endpoint

GET `/1.0/public/trades/all`

## Parameters

### query parameters

- `symbol` (string, optional)
  Optional trading pair symbol (e.g., BTC-USD). Omit it to return trades for all trading pairs. Only one symbol can be specified.

- `start_date` (integer, optional)
  Start timestamp for the query range in Unix epoch milliseconds.
  
  :::note
  If `start_date` is omitted, it defaults to 1 day prior to `end_date`.
  The difference between `start_date` and `end_date` must be <= 1 day.
  :::

- `end_date` (integer, optional)
  End timestamp for the query range in Unix epoch milliseconds.
  
  :::note
  If `end_date` is omitted, it defaults to `start_date` + 1 day (if `start_date` is provided) or the current date (if `start_date` is missing).
  The duration between `start_date` and `end_date` must not exceed 1 day.
  :::

- `cursor` (string, optional)
  Pagination cursor obtained from the `metadata.next_cursor` property of the previous response.

- `limit` (integer, optional)
  Maximum number of records to return.

## Returns

### 200

OK

The list of public trades.

#### Response attributes

- `data` (array of object)
  - `data[].id` (string)
      Trade ID.
  - `data[].symbol` (string)
      Currency pair symbol.
  - `data[].price` (string)
      Trade price.
  - `data[].quantity` (string)
      Trade quantity in the base currency.
  - `data[].side` (enum)
      Trade side.
      Possible enum values:

      - `buy`
      - `sell`
  - `data[].timestamp` (integer)
      Created-at timestamp in Unix epoch, milliseconds.
- `metadata` (object)
  - `metadata.timestamp` (integer)
      Timestamp in Unix epoch milliseconds.
  - `metadata.next_cursor` (string)
      Cursor used to retrieve the next page of results.
      An empty string indicates no more results are available.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad request |
| 429 | Rate Limit Exceeded |
| 5XX | Server Error |
